package cc.smtweb.system.bpm.web.engine.model.flow.listcard.single;

import cc.smtweb.framework.core.annotation.SwService;
import cc.smtweb.framework.core.db.impl.DefaultEntity;
import cc.smtweb.system.bpm.web.engine.model.listcard.single.LCSingleDelHandler;
import cc.smtweb.system.bpm.web.engine.model.listcard.single.LCSingleLoadHandler;
import cc.smtweb.system.bpm.web.engine.model.listcard.single.LCSingleSaveHandler;
import cc.smtweb.system.bpm.web.engine.model.listcard.single.LCSingleService;

/**
 * Created by Akmm at 2022-08-26 16:35
 * 带工作流的简单列表+卡片
 */
@SwService
public class FlowSingleService extends LCSingleService {
    @Override
    protected LCSingleSaveHandler getSaveHandler() {
        return new FlowSingleSaveHandler();
    }

    @Override
    protected LCSingleLoadHandler getLoadHandler() {
        return new FlowSingleLoadHandler();
    }

    @Override
    protected LCSingleDelHandler getDelHandler() {
        return super.getDelHandler();
    }
}
